Subject: Re: Telneting/ftping to cygwin
From: John Beranek <[email-masked]>
To: [email-masked]
Date: Tue, 19 Mar 2002 15:09:00 +0000

David Starks-Browning wrote:

> On Monday 18 Mar 02, Christopher Faylor writes:
> 
>>On Mon, Mar 11, 2002 at 01:54:48PM +0000, David Starks-Browning wrote:
>>
>>>On Monday 11 Mar 02, Corinna Vinschen writes:
>>>
>>>>On Mon, Mar 11, 2002 at 10:18:47AM +0000, John Beranek wrote:
>>>>
>>>>>Corinna Vinschen wrote:
>>>>>
>>>>>>On Fri, Mar 08, 2002 at 04:05:01PM +0000, Don Sharp wrote:
>>>>>>
>>>>>>
>>>>>>>I can confirm that there is a problem. I telnetted from a linux box to
>>>>>>>my cygwin on NT4 setup which has an up to date cygwin1.dll (see cygcheck
>>>>>>>output)
>>>>>>>
>>>>>>>On the cygwin side I get a pop-up
>>>>>>>
>>>>>>>bash.exe "The application failed to initialise properly (0x0000022)
>>>>>>>
>>>>Well, a "me too" isn't actually helpful.  Helpful would be if
>>>>somebody who has that problem would debug that.  Gdb and strace
>>>>are your friend.
>>>>
>>>I have the same problem.  I notice it's only been reported on NT 4.
>>>Corinna and Chris, are you unable to reproduce it on NT4, or are you
>>>not running NT 4?
>>>
>>It just occurred to me that this could be a protection problem, either
>>with the cygwin DLL or with one of the executables that are being run.
>>
>>Do you have the same problem when you type in a command window:
>>
>>  set CYGWIN=ntsec
>>  bash
>>  ls -l /bin/cygwin1.dll

$ ls -l /bin/cygwin1.dll
-rwxrwxrwx    1 Administ Domain U   769352 Feb 25 16:16 /bin

> However, I did discover that if I enable ntsec, then I can
> successfully login!

I have CYGWIN set to "binmode tty ntsec" under "User Variables for 
jberanek" and I've just tried setting the registry keys documented in 
the inetutils readme (and even tried setting one for 
c:\cygwin\usr\sbin\in.telnetd.exe").

And I _still_ get:

> 	System Process - Application Error : The application failed to
> 	initialize properly (0xc0000022).  Click on OK to terminate
> 	the application.

This is when attempting to login to a domain account.

Out of interest, I can successfully login using sshd.

John.

-- 

John Beranek, Senior Software Engineer
Pace Micro Technology plc. (Cambridge)    Tel: +44 1223 518561
645 Newmarket Road,                       Fax: +44 1223 518526
Cambridge, CB5 8PB, UK.                   Web: http://www.pace.co.uk/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/